WPS8TextInternal Namespace Reference documentation

Classes | Enumerations | Functions
WPS8TextInternal Namespace Reference

## Classes
struct | Bookmark
| Internal: class to store a field definition (BKMT) More...
struct | DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | Notes
| Internal: class to store the note position. More...
struct | Object
| Internal: class to store an object definition. More...
struct | State
| Internal: the state of a WPS4Text. More...
class | SubDocument
| Internal: the subdocument of a WPS8Text. More...
struct | Token
| Internal: class to store a field definition (TOKN) More...

## Enumerations
enum | PLCType { BTE =0 , TCD , STRS , OBJECT , TOKEN , BMKT , Unknown }
| different types More...

## Functions
std::ostream & | operator<< (std::ostream &o, Bookmark const &bmk)
| operator<< for a Bookmark
std::ostream & | operator<< (std::ostream &o, Notes const &note)
| operator<< for an object
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< for an object
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator<< for a Token
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for a DataPLC

## Enumeration Type Documentation

## ◆ PLCType

enum WPS8TextInternal::PLCType

different types

- BTE: font/paragraph properties
- OBJECT: object properties: image, table, ..
- STRS: the text zones
- TCD: the text subdivision ( cells subdivision in a table, ...)
- TOKEN: field type: date/time/..
- BMKT: bookmark, or a field in a datafile ?

Enumerator
BTE |
TCD |
STRS |
OBJECT |
TOKEN |
BMKT |
Unknown |

## Function Documentation

## ◆ operator<<() [1/5]

std::ostream & WPS8TextInternal::operator<< | ( | std::ostream & | o,
|  | Bookmark const & | bmk
| ) |  |

operator<< for a Bookmark

operator <<

## ◆ operator<<() [2/5]

std::ostream & WPS8TextInternal::operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

operator<< for a DataPLC

operator<<

## ◆ operator<<() [3/5]

std::ostream & WPS8TextInternal::operator<< | ( | std::ostream & | o,
|  | Notes const & | note
| ) |  |

operator<< for an object

operator <<

## ◆ operator<<() [4/5]

std::ostream & WPS8TextInternal::operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |

operator<< for an object

operator <<

## ◆ operator<<() [5/5]

std::ostream & WPS8TextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |

operator<< for a Token

operator <<